restinio::easy_parser::parse_error_t Class Reference

Information about parsing error. More...

`#include <easy_parser.hpp>`

## Public Member Functions

| parse_error_t (std::size_t position, error_reason_t reason) noexcept
| Initializing constructor. More...
RESTINIO_NODISCARD std::size_t | position () const noexcept
| Get the position in the input stream where error was detected. More...
RESTINIO_NODISCARD error_reason_t | reason () const noexcept
| Get the reason of the error. More...

## Private Attributes

std::size_t | m_position
| Position in the input stream. More...
error_reason_t | m_reason
| The reason of the error. More...

## Detailed Description

Information about parsing error.

Since
  v.0.6.1

Definition at line 92 of file easy_parser.hpp.

## Constructor & Destructor Documentation

## parse_error_t()

restinio::easy_parser::parse_error_t::parse_error_t | ( | std::size_t | position,
|  | error_reason_t | reason
| ) |  |

inlinenoexcept

Initializing constructor.

Definition at line 101 of file easy_parser.hpp.

## Member Function Documentation

## position()

RESTINIO_NODISCARD std::size_t restinio::easy_parser::parse_error_t::position | ( |  | ) | const

inlinenoexcept

Get the position in the input stream where error was detected.

Definition at line 111 of file easy_parser.hpp.

## reason()

RESTINIO_NODISCARD error_reason_t restinio::easy_parser::parse_error_t::reason | ( |  | ) | const

inlinenoexcept

Get the reason of the error.

Definition at line 116 of file easy_parser.hpp.

## Member Data Documentation

## m_position

std::size_t restinio::easy_parser::parse_error_t::m_position

private

Position in the input stream.

Definition at line 95 of file easy_parser.hpp.

## m_reason

error_reason_t restinio::easy_parser::parse_error_t::m_reason

private

The reason of the error.

Definition at line 97 of file easy_parser.hpp.

The documentation for this class was generated from the following file:

- restinio/helpers/easy_parser.hpp